package com.workflow.database.beans;

@SuppressWarnings("serial")
public class Hapmap extends Entity implements java.io.Serializable {

	private String population;
	private double homo1;
	private double homo2;
	private double hetero;
	private double homoFreq1;
	private double homoFreq2;
	private double heteroFreq;
	private int total;
	private double chi;
	private Snp snp;

	public Hapmap() { }
	
	public Snp getSnp() {
		return snp;
	}

	public double getHomoFreq1() {
		return homoFreq1;
	}

	public void setHomoFreq1(double homoFreq1) {
		this.homoFreq1 = homoFreq1;
	}

	public double getHomoFreq2() {
		return homoFreq2;
	}

	public void setHomoFreq2(double homoFreq2) {
		this.homoFreq2 = homoFreq2;
	}

	public double getHeteroFreq() {
		return heteroFreq;
	}

	public void setHeteroFreq(double heteroFreq) {
		this.heteroFreq = heteroFreq;
	}

	public void setSnp(Snp snp) {
		this.snp = snp;
	}

	public String getPopulation() {
		return population;
	}

	public void setPopulation(String population) {
		this.population = population;
	}

	public double getHomo1() {
		return homo1;
	}

	public void setHomo1(double homo1) {
		this.homo1 = homo1;
	}

	public double getHomo2() {
		return homo2;
	}

	public void setHomo2(double homo2) {
		this.homo2 = homo2;
	}

	public double getHetero() {
		return hetero;
	}

	public void setHetero(double hetero) {
		this.hetero = hetero;
	}

	public int getTotal() {
		return total;
	}

	public void setTotal(int total) {
		this.total = total;
	}

	public double getChi() {
		return chi;
	}

	public void setChi(double chi) {
		this.chi = chi;
	}
}
