package com.workflow.management;

import java.util.Vector;

import javax.swing.text.MutableAttributeSet;
import javax.swing.text.html.HTML;
import javax.swing.text.html.HTMLEditorKit;

public class HTMLTableParser extends HTMLEditorKit.ParserCallback {

    private boolean encounteredATableRow = false;
    public Vector<String> result = new Vector<String>(); 

    public Vector<String> getResult() {
		return result;
	}

	public void setResult(Vector<String> result) {
		this.result = result;
	}

	public void handleText(char[] data, int pos) {
        if(encounteredATableRow){ //System.out.println(new String(data) );
        this.result.add(new String(data));
        }
    }

    public void handleStartTag(HTML.Tag t, MutableAttributeSet a, int pos) {
        if(t == HTML.Tag.TR) encounteredATableRow = true;
    }

    public void handleEndTag(HTML.Tag t, int pos) {
        if(t == HTML.Tag.TR) encounteredATableRow = false;

    }
}
