Ext.namespace('workflow');

workflow.SexSnpFileUpload = function(config) {
	Ext.apply(this, config,{});

	workflow.SexSnpFileUpload.superclass.constructor.call(this, Ext.apply({
		title: myLocale.lbChooseSex,
		layout: 'form',
		monitorValid: true,
		frame: true,
		border: true,
		labelWidth: 120,
        fileUpload: true,
        items: 
        	
        [{
            xtype: 'fileuploadfield',
            id: 'sampleFile1',
            emptyText: myLocale.lbChooseSex,
            width: 300,
            fieldLabel: myLocale.lbPhenotypefile,
            allowBlank: false,
            name: 'sampleFile',
            buttonCfg: {
                text: '',
                iconCls: 'upload-icon'
            }
        },
        {
            xtype : 'box',
            style: 'padding-top: 20px',
            html : myLocale.lbUserManual

        }]
}));
};

Ext.extend(workflow.SexSnpFileUpload, Ext.ux.Wiz.Card, {
	wizRef: null,

	snpId:null,
	initWizCard: function(){},

	commitCard: function(respHandler){
	{
		var wRef = this.wizRef;
		this.getForm().submit({
        	url: './SexSnpDataUploadServlet',
        	waitTitle: myLocale.lbUploadProgress,
        	waitMsg: myLocale.lbPleaseWait,
            success: function(fp, o){
                respHandler(wRef);
            },
			failure: function(fp, o){
            	Ext.MessageBox.alert(myLocale.lbError,myLocale.lbCouldexecuteFile);
			}
        });
	}
	}		
});
