Ext.ns('workflow');

workflow.editStudy = function(id) {
	Ext.Ajax.request({
		url: './WorkflowServlet',
		success: function(response) {
		var study = Ext.decode(response.responseText);
			workflow.study.edit(study);
		},
		failure: workflow.errorHandlingAjax,
		params: { requestType: 'getStudy', studyId: id }
	});
};

workflow.showSamples = function(studyId){
	workflow.LoadMask.show();
	var centerPanel = Ext.getCmp('center-panel');
	var samPanel = workflow.study.sampleGrid(studyId);
	centerPanel.removeAll();
	centerPanel.add(samPanel);
	centerPanel.doLayout();
	workflow.LoadMask.hide();
};


workflow.selectSnp = function(nodeId){
	var studyTree = Ext.getCmp('west-panel');
	var node = studyTree.getRootNode().findChild('id', 'snp_' + nodeId, true);

	if(node) {
		studyTree.expandPath(node.getPath());
		studyTree.getSelectionModel().select(node);
	}
	
	workflow.showResults(node, nodeId);
};