Ext.ns('workflow');

workflow.resultTab = function(config) {

	Ext.apply(this, config, {
		showTb: false
	});
	var tb = [];
	if(this.showTb) {
		tb = new Ext.Toolbar({
	        items: [{
	        	text: myLocale.lbCreateSnp,
	            icon: './images/calculation.png',
	            scope: this,
	            handler: function(){
	        		var win = new workflow.ImportWizard();
	        		win.show();
	        		win.center();
	            }
	        },{
	            text: myLocale.lbExport,
	            icon: './images/export.png',
	            scope: this,
	            handler: function(){
	        		var win = new workflow.FreeExportSnp();
	           	    win.show();
	           	    win.center();
	            }
	        }]
	    });
	}

	if (this.result.sex!=0){
	
    workflow.resultTab.superclass.constructor.call(this, Ext.apply({
    	deferredRender: false,
        activeTab: 0,
        tbar: tb,
        items: [
        new workflow.resultForm({result: this.result}),
        new workflow.resultOptional({data: this.result.discordances}),
        new workflow.resultSexSnp({data: this.result.sexsnp}),
        new workflow.resultHapMap({result: this.result})]
    }));
	}
	else{
		workflow.resultTab.superclass.constructor.call(this, Ext.apply({
	    	deferredRender: false,
	        activeTab: 0,
	        tbar: tb,
	        items: [
	        new workflow.resultForm({result: this.result}),
	        new workflow.resultOptional({data: this.result.discordances}),
	        new workflow.resultHapMap({result: this.result})]
	    }));
	}
		
};

Ext.extend(workflow.resultTab, Ext.TabPanel, {
	result: null
});
