package com.workflow.database.beans;

@SuppressWarnings("serial")
public class Genotype extends Entity implements Comparable<Genotype> {
	private String genotype;
	private String sampleId;
	private Snp snp;

	public Genotype() {
	}

	public Snp getSnp() {
		return snp;
	}

	public void setSnp(Snp snp) {
		this.snp = snp;
	}

	public String getGenotype() {
		return genotype;
	}

	public void setGenotype(String genotype) {
		this.genotype = genotype;
	}

	public String getSampleId() {
		return sampleId;
	}

	public void setSampleId(String sampleId) {
		this.sampleId = sampleId;
	}

	public int compareTo(Genotype gen) {
		return this.sampleId.compareTo(gen.getSampleId());
	}
}
