package com.workflow.database.beans;

import java.util.Set;

@SuppressWarnings("serial")
public class Study extends Entity implements java.io.Serializable {

	private String name;
	private String description;
	private Set<Sample> samples;
	private Set<Snp> snps;
	private String identifier;
	private int numMultiple;
	private boolean active;

	public Study() { }

	public void setActive(boolean active) {
		this.active = active;
	}

	public boolean getActive() {
		return this.active;
	}

	public Set<Snp> getSnps() {
		return snps;
	}

	public void setSnps(Set<Snp> snps) {
		this.snps = snps;
	}

	public int getNumMultiple() {
		return numMultiple;
	}

	public void setNumMultiple(int numMultiple) {
		this.numMultiple = numMultiple;
	}

	public void setIdentifier(String identifier) {
		this.identifier = identifier;
	}

	public String getIdentifier() {
		return identifier;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Set<Sample> getSamples() {
		return samples;
	}

	public void setSamples(Set<Sample> samples) {
		this.samples = samples;
	}
}
