package com.workflow.servlet;

import java.io.IOException;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletResponse;

@SuppressWarnings("serial")
public abstract class AbstractServlet extends HttpServlet{

	protected void setResponse(HttpServletResponse response, byte[] data) {
		response.setContentLength(data.length);
		OutputStream out = null;
		try {
			out = response.getOutputStream();
			out.write(data);
			out.flush();
		} catch (IOException e) {
		} finally {
			try {
				out.close();
			} catch (IOException e) {
			}
		}
	}

	protected void setResponse(HttpServletResponse response, String data) {
		try {
			setResponse(response, data.getBytes("utf-8"));
		} catch (UnsupportedEncodingException e) {
			// should never happen!
		}
	}
}