Ext.namespace('workflow');

workflow.CreateSnp = function(config) {
	Ext.apply(this, config,{});

	workflow.CreateSnp.superclass.constructor.call(this, Ext.apply({
		title: myLocale.lbCreateSnp,
		layout: 'fit',
        fileUpload: true,
        defaults: {
            anchor: '95%',
            msgTarget: 'side'
        },
		items: [{
            xtype: 'fileuploadfield',
            id: 'sampleFile',
            emptyText: myLocale.lbChooseDatafile,
            fieldLabel: myLocale.lbDatafile,
            name: 'sampleFile',
            buttonCfg: {
                text: '',
                iconCls: 'upload-icon'
            }
        }, new Ext.ux.form.SpinnerField({
            fieldLabel: myLocale.lbTotalCount,
            name: 'total'
        })]
	}));
};

Ext.extend(workflow.CreateSnp, Ext.Window, { });