workflow.study.SampleSheet = function(studyId, sampleSheetNr){
    var ssstore = new Ext.data.Store({
        reader: new Ext.data.JsonReader({
			id: 'id', 
			root: 'data',
			fields:[{name: '0'},
			        {name: '1'},
			        {name: '2'},
			        {name: '3'},
			        {name: '4'},
			        {name: '5'},
			        {name: '6'},
			        {name: '7'},
			        {name: '8'},
			        {name: '9'},
			        {name: '10'},
			        {name: '11'},
			        {name: '12'},
			        {name: '13'},
			        {name: '14'},
			        {name: '15'},
			        {name: '16'},
			        {name: '17'},
			        {name: '18'},
			        {name: '19'},
			        {name: '20'},
			        {name: '21'},
			        {name: '22'},
			        {name: '23'},
			        {name: '24'}
			]
        }),
        proxy: new Ext.data.HttpProxy({url:'./WorkflowServlet'}),
        baseParams: {"study.id": studyId, 
    		requestType: 'getSampleSheet',
    		sampleSheetNr: sampleSheetNr
    	},
        remoteSort: true
    });
    
    var grid = new Ext.grid.GridPanel({
    	id: 'well',
        region:'center',
        margins: '5 5 5 5',
        width: '100%',
        autoHeight: true,
        loadMask: true,
        stripeRows: true,
        enableHdMenu: false,
        columnLines: true,
        forceFit: true,
        selModel: new Ext.grid.RowSelectionModel({singleSelect:true}),
        view: new Ext.grid.GridView({
            //formFit: true
        }),
        store: ssstore,
        columns: [{
	            id: '0',
	            header: '',
	            dataIndex: '0',
	            width: 50,
	            renderer: workflow.headCol,
	            sortable: false
	        },{
	            header: '1',
	            dataIndex: '1',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '2',
	            dataIndex: '2',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '3',
	            dataIndex: '3',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '4',
	            dataIndex: '4',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '5',
	            dataIndex: '5',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '6',
	            dataIndex: '6',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '7',
	            dataIndex: '7',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '8',
	            dataIndex: '8',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '9',
	            dataIndex: '9',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '10',
	            dataIndex: '10',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '11',
	            dataIndex: '11',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '12',
	            dataIndex: '12',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '13',
	            dataIndex: '13',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '14',
	            dataIndex: '14',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '15',
	            dataIndex: '15',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '16',
	            dataIndex: '16',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '17',
	            dataIndex: '17',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '18',
	            dataIndex: '18',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '19',
	            dataIndex: '19',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '20',
	            dataIndex: '20',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '21',
	            dataIndex: '21',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '22',
	            dataIndex: '22',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '23',
	            dataIndex: '23',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '24',
	            dataIndex: '24',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        }
	    ]
    });
    
    ssstore.load();    
    
    return grid;
};

workflow.study.QCSampleSheet = function(studyId, sampleSheetNr){
    var ssstore = new Ext.data.Store({
        reader: new Ext.data.JsonReader({
			id: 'id', 
			root: 'data',
			fields:[{name: '0'},
			        {name: '1'},
			        {name: '2'},
			        {name: '3'},
			        {name: '4'},
			        {name: '5'},
			        {name: '6'},
			        {name: '7'},
			        {name: '8'},
			        {name: '9'},
			        {name: '10'},
			        {name: '11'},
			        {name: '12'},
			        {name: '13'},
			        {name: '14'},
			        {name: '15'},
			        {name: '16'},
			        {name: '17'},
			        {name: '18'},
			        {name: '19'},
			        {name: '20'},
			        {name: '21'},
			        {name: '22'},
			        {name: '23'},
			        {name: '24'}
			]
        }),
        proxy: new Ext.data.HttpProxy({url:'./WorkflowServlet'}),
        baseParams: {"study.id": studyId, 
    		requestType: 'getQCSampleSheet',
    		sampleSheetNr: sampleSheetNr
    	},
        remoteSort: true
    });
    
    var grid = new Ext.grid.GridPanel({
    	id: 'well',
        region:'center',
        margins: '5 5 5 5',
        width: '100%',
        autoHeight: true,
        loadMask: true,
        stripeRows: true,
        enableHdMenu: false,
        columnLines: true,
        forceFit: true,
        selModel: new Ext.grid.RowSelectionModel({singleSelect:true}),
        view: new Ext.grid.GridView({
            formFit: true
        }),
        store: ssstore,
        columns: [{
	            id: '0',
	            header: '',
	            dataIndex: '0',
	            width: 50,
	            renderer: workflow.headCol,
	            sortable: false
	        },{
	            header: '1',
	            dataIndex: '1',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '2',
	            dataIndex: '2',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '3',
	            dataIndex: '3',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '4',
	            dataIndex: '4',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '5',
	            dataIndex: '5',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '6',
	            dataIndex: '6',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '7',
	            dataIndex: '7',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '8',
	            dataIndex: '8',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '9',
	            dataIndex: '9',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '10',
	            dataIndex: '10',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '11',
	            dataIndex: '11',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '12',
	            dataIndex: '12',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '13',
	            dataIndex: '13',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '14',
	            dataIndex: '14',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '15',
	            dataIndex: '15',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '16',
	            dataIndex: '16',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '17',
	            dataIndex: '17',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '18',
	            dataIndex: '18',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '19',
	            dataIndex: '19',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '20',
	            dataIndex: '20',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '21',
	            dataIndex: '21',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '22',
	            dataIndex: '22',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '23',
	            dataIndex: '23',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        },{
	            header: '24',
	            dataIndex: '24',
	            width: 50,
	            renderer: workflow.cellRenderer,
	            sortable: false
	        }
	    ]
    });
    
    ssstore.load();    
    
    return grid;
};
