Ext.namespace('workflow');

workflow.SnpFileUpload = function(config) {
	Ext.apply(this, config,{});

	workflow.SnpFileUpload.superclass.constructor.call(this, Ext.apply({
		title: myLocale.lbChooseDatafile,
		layout: 'form',
		//monitorValid: true,
		frame: true,
		border: true,
		labelWidth: 120,
        fileUpload: true,
        items: 
        	
        	
        	[new Ext.form.RadioGroup({
        	fieldLabel: 'Data Source',
            id: "radio",
            name: "radio",
            vertical: false,
            id: "group",
            items: [{
                boxLabel: myLocale.lbMethod1,
                checked: true,
                name: 'buttonMethod',
                inputValue: '1'
            
            }, {
                boxLabel: myLocale.lbMethod2,
                name: 'buttonMethod',
                inputValue: '2'
         
            }], 
            listeners: {
                change: function(radiogroup, radio) {
                  if(radio.inputValue=='1'){
                    Ext.getCmp('snpDirectory').hide();
                    Ext.getCmp('snpDirectory').label.hide();
                  } else {
                    Ext.getCmp('snpDirectory').show();
                    Ext.getCmp('snpDirectory').label.show();
                  }
                }
            }
        })
        
        ,{ 	xtype: 'textfield',
			id: 'snpDirectory',
			name: 'snpDirectory',
			emptyText: myLocale.lbEmptyDirectory,
			fieldLabel: myLocale.lbDatafolder,
			width: 340,
			 listeners: {
                 'render': function(p) {
                     this.hide();
                     this.label.hide();
                     }
                 }

		
        },
        
        {
            xtype: 'fileuploadfield',
            anchor: '95%',
            //allowBlank: false,
            emptyText: myLocale.lbChooseDatafile,
            fieldLabel: myLocale.lbDatafile,
            name: 'sampleFile',
            buttonCfg: {
                text: '',
                iconCls: 'upload-icon'
            }
        }
        ,new Ext.form.FieldSet({
        	title: myLocale.lbNotice,
    		items: [{
    			layout: 'form',
    			items: new Ext.form.Label({
    				text: myLocale.lbNotice2
    			})
    		}]
    	})]
	}));
};

Ext.extend(workflow.SnpFileUpload, Ext.ux.Wiz.Card, {
	wizRef: null,

	initWizCard: function(){},

	commitCard: function(respHandler){
	{
		var wRef = this.wizRef;
		this.getForm().submit({
        	url: './DataUploadServlet',
        	waitTitle: myLocale.lbUploadProgress,
        	waitMsg: myLocale.lbPleaseWait,
            success: function(fp, o){
                respHandler(wRef);
            },
			failure: function(fp, o){
            	Ext.MessageBox.alert(myLocale.lbError,myLocale.lbCouldexecuteFile);
			}
        });
	}
	}		
});
