Ext.namespace('workflow');

workflow.upload = function(){
	var fp = new Ext.FormPanel({
        fileUpload: true,
        width: 400,
        frame: true,
		autoheight:true,
        bodyStyle: 'padding: 10px 10px 0 10px;',
        labelWidth: 60,
        defaults: {
            anchor: '95%',
            msgTarget: 'side'
        },
        items: [{
            xtype: 'fileuploadfield',
            id: 'filename',
            emptyText: 'Datei auswhlen',
            fieldLabel: 'Datei',
            name: 'filename',
            buttonCfg: {
                text: '',
                iconCls: 'upload-icon'
            }
        }
		],
        buttons: [{
            text: 'Hochladen',
            handler: function(){
                if(fp.getForm().isValid()){
	                fp.getForm().submit({
	                	url: './WorkflowServlet',
	                    waitTitle: 'Uploadvorgang',
	                    waitMsg: 'Bitte warten...',
	                    success: function(fp, o){
	                        Ext.MessageBox.alert('Erfolgreich','Datei wurde erfolgreich eingespielt');

	                    },
						failure: function(fp, o){
							  Ext.MessageBox.alert('Fehler','Es ist ein Serverseitiger Fehler aufgetreten');
							}
	                });
                }
            }
        },{
            text: 'Zurcksetzen',
            handler: function(){
                fp.getForm().reset();
            }
        }]
    });

	var win = new Ext.Window({
		title:'Datei hochladen',
		width:400,
		autoheight:true,
		closable: true,
		items: fp
	});
	win.show();
};
